Download attachment bytes
GET
/api/public/v1/invoices/{invoice_id}/attachments/{attachment_id}/download
Code sample: cURL
curl --request GET \ --url 'https://api.getzutax.com/api/public/v1/invoices/f3df2967-7cbe-4cca-8c8c-975ee2f6857f/attachments/0ddc3d36-067a-4e9a-a006-c35142ce5261/download' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” invoice_id
required
Invoice Id
string format: uuid
attachment_id
required
Attachment Id
string format: uuid
Responses
Section titled “ Responses ”Successful Response
Media type application/json
Examples
Example Sample response
200 response example
{ "status": "ok", "message": "Request completed successfully."}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examples
Example Sample response
422 response example
{ "detail": [ { "loc": [], "msg": "string", "type": "string" } ]}